[Android] compile.sh: MIPS support

Edward Wang git at videolan.org
Sat Nov 24 22:11:43 CET 2012


vlc-ports/android | branch: master | Edward Wang <edward.c.wang at compdigitec.com> | Thu Nov 22 21:43:27 2012 -0500| [ce41cca0379b24e9d1bf2d832055de0d9315b672] | committer: Edward Wang

compile.sh: MIPS support

Close #6931

> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=ce41cca0379b24e9d1bf2d832055de0d9315b672
---

 compile.sh |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/compile.sh b/compile.sh
index bf025f3..2a56698 100755
--- a/compile.sh
+++ b/compile.sh
@@ -134,6 +134,11 @@ elif [ ${ANDROID_ABI} = "armeabi" ] ; then
     fi
 elif [ ${ANDROID_ABI} = "x86" ] ; then
     EXTRA_CFLAGS="-march=pentium -ffunction-sections -funwind-tables -frtti -fno-exceptions"
+elif [ ${ANDROID_ABI} = "mips" ] ; then
+    EXTRA_CFLAGS="-march=mips32 -mhard-float"
+    # All MIPS Linux kernels since 2.4.4 will trap any unimplemented FPU
+    # instruction and emulate it, so we select -mhard-float.
+    # See http://www.linux-mips.org/wiki/Floating_point#The_Linux_kernel_and_floating_point
 else
     echo "Unknown ABI. Die, die, die!"
     exit 2



More information about the Android mailing list